#ifndef HTTPD_H_
#define HTTPD_H_
//--------------------------------------------------
#include "stm32f4xx_hal.h"
#include <string.h>
#include <stdlib.h>
#include <stdint.h>
#include "fatfs.h"
#include "w5500.h"
//--------------------------------------------------
typedef struct http_sock_prop {
	volatile uint8_t data_stat;//  
	volatile uint32_t data_size;//   
	volatile uint16_t last_data_part_size;//     
	volatile uint16_t cnt_data_part;//     
	volatile uint16_t cnt_rem_data_part;//     
	volatile uint32_t total_count_bytes;//   
	volatile uint8_t http_doc;//   
	volatile uint8_t prt_tp;//   
	char fname[20];//  ()
} http_sock_prop_ptr;
//--------------------------------------------------
//  HTTP
#define EXISTING_HTML 0
#define E404_HTML 1
#define EXISTING_JPG 2
#define EXISTING_ICO 3
//--------------------------------------------------
void http_request(uint8_t sn);
void tcp_send_http_middle(uint8_t sn);
void tcp_send_http_last(uint8_t sn);
//--------------------------------------------------
#endif /* HTTPD_H_ */
